import request from 'utils/request'

/**
 * 传入页面url，获取微信扫一扫调用签名
 * @param {string} url 
 */
export function GetScanParams(url){ 
    return request({
      url:'/app/v1/wechat/getjsparam',
      method:'get',
      params:{
        url
      }
    })
}


/**
 * 通过二维码字符串获取运动员个人信息
 * @param {string} code 
 */
export function GetPeopleData(code){
    return request({
        url:'/api/v1/checking/get',
        method:'get',
        params:{
          code
        }
    })
}


/**
 * 传入用户个人codemd5和编号进行绑定
 * @param {string} CodeMd5 
 * @param {number} No 
 */
export function AddNo(CodeMd5,No){
  return request({
      url:'/api/v1/checking/addno',
      method:'post',
      data:{
        CodeMd5,
        No
      }
  })
}